Description

On EL6, we currently have the following repos:

1. base OS

2. Foreman

3. EPEL

4. SCL

Optionally, you can add Puppet Labs for an alternative Puppet package.

When the Puppet Labs repo is enabled, we're only pulling about six dependencies from EPEL, so it seems to me that we could make

EPEL optional by mirroring some of these ourselves (literally pulling RPMs in?).

This way, users are given the choice of using:

1. base, Foreman, SCL, Puppet Labs

2. base, Foreman, SCL, EPEL

Reducing the number of configured repos, and also making EPEL optional in the first case.

History

#1 - 02/11/2014 01:59 PM - Ewoud Kohl van Wijngaarden

I'd prefer to make that optional. I was thinking of a foreman-deps repo, but that implies it's a requirement.

#2 - 02/11/2014 02:00 PM - Dominic Cleal

Indeed, optional is what I'd meant.  -deps is what I'd assumed too, similar to pl-deps.

#3 - 02/11/2014 05:16 PM - Lukas Zapletal

I am generally against pulling deps into our repos - security issues etc. Is the only motivation less repos configured?

#4 - 02/11/2014 05:16 PM - Dominic Cleal

Correct.

#5 - 02/13/2014 09:34 AM - Benjamin Papillon

I share lzap thoughts, I prefer one more repo than less maintained packages.

#6 - 02/13/2014 09:58 AM - Ewoud Kohl van Wijngaarden

Has this been requested by users or is it a nice to have feature? In the latter case I'm afraid it will bitrot and on the same side as lzap.

#7 - 02/13/2014 10:02 AM - Dominic Cleal

The idea came out of a user's complaint in #theforeman the other day.  I'm happy to let it bitrot, I was just interested in feedback.
#8 - 05/23/2014 11:25 AM - Dominic Cleal

For reference purposes, my host here has the following packages from EPEL:

ruby-augeas

rubygem-fastercsv

rubygem-ffi

rubygem-gssapi

rubygem-json

rubygem-locale

rubygem-mime-types

rubygem-rack

rubygem-rack-test

rubygem-rest-client

rubygem-sinatra

ruby-shadow

Some of these are also available from Puppet Labs' dependencies repo, so could be substituted (ruby-augeas, ffi, json, rack, shadow).

#9 - 05/18/2017 07:38 PM - Anonymous

is this still desired?

#10 - 05/28/2018 07:38 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

Given the current state of packaging I'm closing this. If there's sufficient demand from users I'd be happy to revisit this.
